Package org.apache.commons.math3.fitting

# Class AbstractCurveFitter.TheoreticalValuesFunction

java.lang.Object
org.apache.commons.math3.fitting.AbstractCurveFitter.TheoreticalValuesFunction

Enclosing class:
  `AbstractCurveFitter`

protected static class AbstractCurveFitter.TheoreticalValuesFunction extends Object
Vector function for computing function theoretical values.

## Constructor Summary

Constructors
Constructor
Description
`TheoreticalValuesFunction(ParametricUnivariateFunction f, Collection<WeightedObservedPoint> observations)`

## Method Summary

Modifier and Type
Method
Description
`MultivariateVectorFunction`
`getModelFunction()`
`MultivariateMatrixFunction`
`getModelFunctionJacobian()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TheoreticalValuesFunction

public TheoreticalValuesFunction(ParametricUnivariateFunction f, Collection<WeightedObservedPoint> observations)

Parameters:
  `f` - function to fit.
  `observations` - Observations.

## Method Details

### getModelFunction

public MultivariateVectorFunction getModelFunction()

Returns:
  the model function values.

### getModelFunctionJacobian

public MultivariateMatrixFunction getModelFunctionJacobian()

Returns:
  the model function Jacobian.